@media (min-width: 1500px) {
	.table.min-col-width-lg thead th, 
	.table.min-col-width-lg tbody td {
		min-width: 100px;
	}
	.table.min-col-width-lg>tbody>tr>td:first-child, 
	.table.min-col-width-lg>thead>tr>th:first-child {
		min-width: inherit;
	}
}
@media (min-width: 1300px) and (max-width: 1499px) {
	.table.min-col-width-md thead th, 
	.table.min-col-width-md tbody td {
		min-width: 100px;
	}
	.table.min-col-width-md thead th.description-th {
		min-width: 320px;
	}
	.table.min-col-width-md>tbody>tr>td:first-child, 
	.table.min-col-width-md>thead>tr>th:first-child {
		min-width: inherit;
	}
	.report-sublinks li {
		width: 25%;
	}
}
@media (min-width: 1200px) {
	.form-width {
		width: 730px;
	}
	.land-rates-form {
		width: 800px;
	}
}
@media (min-width: 768px) {
	.sidebar-collapse {
		background: #0f766e;
		color: #fff;
		line-height: 16px;
		position: absolute;
		right: -44px;
		top: 5px;
		z-index: 1;
		box-shadow: 2px 3px 6px rgba(0, 0, 0, 0.5);
		-webkit-border-radius: 0 5px 5px 0;
		-moz-border-radius: 0 5px 5px 0;
		-ms-border-radius: 0 5px 5px 0;
		border-radius: 0 5px 5px 0;
	}
	.sidebar-collapse a.sidebar-collapse-icon {
		color: #fff;
		display: inline-block;
		font-size: 24px;
		line-height: 1;
		padding: 8px 10px;
		text-align: center;
		-webkit-transition: all 200ms ease-in-out 0s;
		-o-transition: all 200ms ease-in-out 0s;
		transition: all 200ms ease-in-out 0s;
	}
	.flo-left {
		float: left !important;
	}
	.flo-right {
		float: right !important;
	}
}

@media only screen and (max-width: 1500px) {
	.hexagon {
		padding: 80px 50px;
	}
	.view-all-btn {
		margin-right: 5%;
	}
}

@media screen and ( max-width: 1300px ) {
	.placeholders {
		padding: 35px 0 30px;
	}
	.hexagon {
		padding: 30px 45px;
		height: 300px;
		max-width: 265px;
	}
	.hexagon-content h2 {
		font-size: 20px;
		line-height: 26px;
		margin: 0 0 10px;
	}
	.hexagon-content ul li {
		margin-bottom: 5px;
	}
	.hexagon-content ul li .title {
		font-size: 16px;
		line-height: 24px;
	}
	.hexagon-content ul li .count {
		font-size: 16px;
		line-height: 24px;
	}
	.view-detail-btn {
		font-size: 14px;
	}
	.assets-content {
		padding: 30px 25px 10px 50px;
		height: 160px;
	}
	.assets-content h4 {
		font-size: 18px;
		line-height: 28px;
	}
	.assets-content p {
		font-size: 14px;
		line-height: 18px;
		margin-bottom: 7px;
	}
	.view-all-btn {
		font-size: 14px;
		line-height: 22px;
	}
	.sales-wrapper .div-table-cell:first-child {
		width: 40%;
	}
	.sales-wrapper h2 {
		font-size: 50px;
		line-height: 50px;
	}
	.view-all-sales-btn {
		font-size: 22px;
		line-height: 38px;
		padding: 7px 35px;
	}
	.sales-price {
		font-size: 20px;
	}


	table.min-col-width thead th, 
	table.min-col-width tbody td {
		min-width: 150px;
	}
	.table.min-col-width>tbody>tr>td:first-child, 
	.table.min-col-width>thead>tr>th:first-child {
		min-width: inherit;
	}
	table.table-desc .desc {
		min-width: 400px;
	}
	table.table-desc.sm-table .desc {
		min-width: 100%;
	}

	.report-sublinks li {
		width: 33.333%;
	}

}

@media only screen and (max-width: 1199px) {
	.brand-name {
		font-size: 24px;
	}
	.hw-example3 .weather-forecast .hw-weatherIcon .hw-icon {
		font-size: 30px;
		width: 40px;
	}
	.hw-example3 .weather-forecast .hw-weatherIcon .hw-info .hw-temperature {
		font-size: 30px;
	}
	.hw-example3 .weather-forecast .hw-weatherIcon .hw-info .hw-temperature span span {
		font-size: 24px;
		line-height: 24px;
	}

	.hexagon {
		padding: 30px 18%;
	}
	.hexagon-content h2 {
		font-size: 18px;
		line-height: 20px;
	}
	.hexagon-content ul li .title {
		font-size: 14px;
		line-height: 20px;
	}
	.hexagon-content ul li .count {
		font-size: 14px;
		line-height: 20px;
	}
	.hexagon-content ul li:last-child {
		margin-bottom: 0;
	}
	.view-detail-btn {
		line-height: 16px;
	}
	.blue .hexagon-content h2 {
		margin-top: 10px;
	}
	.assets-wrapper .panel {
		padding: 30px 0 10px;
	}
	.assets-content {
		height: 120px;
		padding: 20px 15px 10px 30px;
		max-width: 204px;
	}
	.assets-content h4 {
		font-size: 16px;
		line-height: 24px;
	}
	.assets-content p {
		font-size: 13px;
		line-height: 16px;
		margin-bottom: 0;
		padding: 0 0 0 15px;
	}
	.expense-content h4 {
		font-size: 22px;
		padding: 15px;
	}
	.expense-content p {
		font-size: 16px;
		line-height: 22px;
		padding: 22px 15px 20px 30px;
	}
	.expense-content p strong {
		font-size: 20px;
	}
	.view-detail {
		font-size: 16px;
	}
	.view-all-expense-btn {
		font-size: 20px;
	}
	.sales-wrapper {
		padding: 30px 60px 30px 15px;
	}
	.sales-wrapper .div-table-cell:first-child {
		width: 35%;
	}
	.sales-wrapper h2 {
		font-size: 38px;
		line-height: 38px;
	}
	.view-all-sales-btn {
		font-size: 20px;
		line-height: 34px;
		padding: 7px 30px;
	}
	.sales-bar {
		min-height: 62px;
	}
	.sales-bar h3 {
		font-size: 20px;
		line-height: 35px;
		width: auto;
	}
	.price-detail {
		left: 150px;
		right: -35px;
	}
	.sales-price {
		font-size: 16px;
		line-height: 32px;
	}
	.sales-detail-btn {
		font-size: 12px;
		line-height: 22px;
		padding: 5px 10px;
	}

	.has-checkbox .checkbox,
	.has-checkbox .checkbox-inline,
	.has-radio .radio,
	.has-radio .radio-inline {
		width: 50%;
	}

	.search-filters li {
		padding: 0 5px;
	}
	.search-filters select {
		padding-right: 30px;
		width: 105px;
	}
	.reports .dataTables_length label {
		font-size: 16px;
	}
}


@media (max-width: 1023px) {
	.logo {
	    padding: 13px 15px;
	}
	.logo-img{
		width: 70px;
	}
	.brand-name{
		font-size: 20px;
		line-height: 22px;
		margin: 0;
	}
	.user-profile-title-box {
		display: none;
	}
	#header-nav-right .user-account > a .icon-settings {
		display: none;
	}
	#header-nav-right a > img{
		margin: 0;
	}
	#header-nav-right .user-account > a{
		overflow: hidden;
		padding: 14px 14px 13px;
	}
	.notificatoin {
		min-height: 77px;
	}
	.notificatoin > a {
		padding: 21px 25px 20px;
	}
	.hw-example3 .weather-forecast .hw-weatherIcon {
		min-height: 77px;
		min-width: 250px;
	}
	.hw-example3 .weather-forecast:hover .custom-more-data {
		top: 77px;
	}
	.hw-example3 .weather-forecast:hover .hw-infoWeather {
		top: 160px;
	}
	.custom-more-data .hw-detailed-info p.hw-humidity {
		width: 90px;
	}
	.custom-more-data .hw-detailed-info p.hw-wind-speed {
		width: 59%;
	}

	.main-container {
		padding: 0 15px;
	}
	.top-title {
		margin: 0 -15px;
	}
	.crops-table {
		min-width: 640px;
	}
}

@media only screen and (max-width: 991px) {

	body:before,
	.footer-left,
	.page-sidebar {
		width: 220px;
	}
	[class*=hint--]:after, [class*=hint--]:before {
		display: none;
	}
	.sidebar-collapsed .page-sidebar #mainMenu > li > ul,
	.sidebar-collapsed .page-sidebar #mainMenu > li a span.title {
		width: 220px;
	}

	body[class^="page-"] .sidebar-collapsed .page-sidebar #mainMenu > li:last-child > ul,
	body[class*=" page-"] .sidebar-collapsed .page-sidebar #mainMenu > li:last-child > ul {
		bottom: 100%;
	}

	.page-container.can-resize .main-container,
	.page-container.can-resize .footer-content {
		display: inherit; 
		width: inherit; 
		margin-right: -220px;
	}

	.hexagon {
		margin-bottom: 30px;
		padding: 30px 55px;
		height: 400px;
		max-width: 350px;
	}
	.hexagon-content h2 {
		font-size: 22px;
		line-height: 26px;
	}
	.hexagon-content ul li .title {
		font-size: 16px;
		line-height: 24px;
	}
	.hexagon-content ul li .count {
		font-size: 16px;
		line-height: 24px;
	}
	.view-detail-btn {
		font-size: 18px;
	}
	.sprater {
		padding: 0;
	}
	.assets-content {
		height: 210px;
		margin: 0 auto 30px;
		padding: 40px 30px 10px 80px;
		max-width: 350px;
	}
	.assets-content h4 {
		font-size: 20px;
		line-height: 33px;
	}
	.assets-content p {
		font-size: 18px;
		line-height: 23px;
		padding: 0 30px;
	}
	.view-all-btn {
		font-size: 16px;
		line-height: 33px;
	}
	.expense-content p {
		text-align: center;
	}
	.sales-wrapper {
		padding: 30px 15px;
	}
	.div-table {
		display: block;
	}
	.div-table-cell {
		display: block;
	}
	.sales-wrapper .div-table-cell:first-child {
		margin-bottom: 30px;
		width: 100%;
	}
	.sales-bar {
		margin-right: 35px;
	}
	.dataTable.sm-table {
		min-width: inherit;
	}

	.farm-table {
		min-width: 600px;
	}

	.search-filters {
		display: table;
		margin: 0 auto 15px;
		width: 50%;
	}
	.search-filters li {
		float: none;
		margin-bottom: 15px;
	}
	.search-filters select,
	.search-filters .datepicker_field {
		width: 100%;
	}
	.search-btn {
		display: table;
		margin: 0 auto;
		width: 130px;
	}
	.search-btn:before {
		content: 'Search';
		display: inline-block;
		vertical-align: top;
	}
	.search-btn .glyphicon {
		display: none;
	}
	.reports .dataTables_length {
		text-align: center;
	}

	.livestock .table-wrapper h2 {
		float: none;
		margin-bottom: 15px;
		text-align: center;
	}
	.table-top .pull-right {
		float: none !important;
		text-align: center;
	}
	.livestock .export {
		margin-bottom: 15px;
	}
	.livestock .export,
	.filters-form {
		float: none;
	}

	.login-page h1 {
		font-size: 28px;
	}
	.login_box {
		padding: 30px 50px;
	}

}
@media only screen and (min-width: 768px) and (max-width: 991px) {
	#mainMenu li a {
		font-size: 14px;
		padding-right: 10px;
		padding-left: 10px;
	}
	.sidebar-collapsed #mainMenu li a {
		padding-right: 15px;
		padding-left: 15px;
	}
	.sidebar-collapsed #mainMenu li a i[class^="icon-"],
	.sidebar-collapsed #mainMenu li a i[class*=" icon-"] {
		margin-right: 0;
	}
	#mainMenu li a i[class^="icon-"],
	#mainMenu li a i[class*=" icon-"] {
		margin-right: 10px;
	}
	#mainMenu li a i.pos-right {
		position: absolute;
		right: 8px;
		top: 10px;
		margin-right: 0;
	}
	#mainMenu > li > ul:before {
		left: 15px;
	}
	#mainMenu > li > ul > li:before {
		left: 13px;
		height: 5px;
		width: 5px;
	}
	#mainMenu li ul li:after {
		left: 12px;
		height: 7px;
		width: 7px;
	}
	.sidebar-collapsed #mainMenu ul li a,
	#mainMenu ul li a {
		padding: 12px 10px 12px 25px;
	}

	.page-container.can-resize .form-width {
		width: 100%;
	}
}

@media only screen and (max-width: 767px) {

	body:before {
		display: none;
	}

	#page-content-wrapper {
		display: block;
		height: auto !important;
	}
	.page-sidebar {
		background: url(../images/side-bar-bg.png) no-repeat #e6f2f0;
		background-size: cover;
		display: block;
		width: 100%;
		height: auto;
		z-index: 0;
	}
	.footer-left {
		width: 0;
	}
	.main-container {
		display: block;
		height: auto;
	}
	.logo {
		padding: 10px 15px;
	}
	.logo-img {
		width: 50px;
	}
	.brand-name {
		font-size: 18px;
		line-height: 20px;
	}

	.navbar-toggle {
		margin-top: 12px;
	}
	#header-nav-right {
		background: #2B384C;
	}
	.user-account {
		padding-right: 0;
	}
	.user-account > a .icon-settings {
		display: none;
	}
	#header-nav-right .user-account > a {
		padding: 5px 15px;
	}
	#header-nav-right a > img {
		width: 40px;
	}
	.navbar-right .user-account-drodown {
		right: 5px;
		left: auto;
	}
	.notificatoin {
		min-height: 50px;
	}
	.notificatoin > a {
		font-size: 20px;
		padding: 9px 15px;
	}
	.noti-count {
		line-height: 20px;
		height: 20px;
		width: 20px;
		top: 3px;
		right: 6px;
	}
	.notificatoin .dropdown-menu {
		left: auto;
		right: 0;
	}
	.weather_icon {
		display: inline-block;
		vertical-align: top;
		padding-left: 15px;
	}
	.weather-holder {
		display: none;
		padding: 0 15px 10px;
		max-height: 100%;
		z-index: 1;
		position: absolute;
		top: 100%;
		left: 0;
	}
	.weather-holder.open-weather {
		display: block;
	}
	#header-nav-right .weather_icon .hw-icon {
		display: inline-block;
		line-height: 50px;
		color: #fff;
		width: 30px;
		margin-right: 10px;
	}
	.hw-example3 .weather-forecast .custom-more-data,
	.hw-example3 .weather-forecast .hw-infoWeather{
		position: static;
		visibility: visible;
		opacity: 1;
		background-color: transparent;
		box-shadow: none;
	}
	.hw-example3 .weather-forecast .hw-weatherIcon .hw-icon {
		width: 100%;
		display: block;
		font-size: 60px;
		line-height: 80px;
		margin: 0 0 10px;
	}
	.hw-example3 .weather-forecast .hw-weatherIcon .hw-icon:before{
		vertical-align: top;
	}
	.hw-example3 .weather-forecast .hw-weatherIcon{
		margin: 0 0 15px;
		min-width: 290px;
	}
	.hw-example3 .error-messages h2 {
		font-size: 18px;
		margin-top: 30px;
	}
	.hw-example3 {
		background: #0f766e;
	}
	.custom-more-data p {
		font-size: 14px;
	}
	.hw-example3 .weather-forecast .hw-infoWeather ul.hw-weeklyForecast li.hw-day ul li.hw-weekDay-temperature {
		font-size: 20px;
	}
	.assets-content {
		height: 234px;
		max-width: 389px;
		padding: 55px 30px 35px 60px;
	}
	.expense-wrapper h3, .assets-wrapper h3, .map-wrapper h3 {
		font-size: 22px;
		line-height: 28px;
	}
	.assets-wrapper h3 {
		padding: 15px 20px 13px;
	}

	
	.top-title h4 {
		font-size: 24px;
		margin: 5px 0;
	}
	.breadcrumb {
		margin: 15px 0 0;
	}
	.table-wrapper {
		margin-top: 20px;
	}
	.button-group {
		display: block;
		margin-top: 20px;
		text-align: center;
	}
	.dataTable.sm-table {
		min-width: 600px;
	}

	.form-group label {
		line-height: 22px;
		margin-bottom: 5px;
		text-align: left;
	}
	.star-right {
		right: 17px;
		top: -20px;
	}

	.mainForm .form-group label.btn span {
		font-size: 18px;
	}
	.mainForm .form-group .button-group {
		margin-top: 0;
		text-align: left;
	}
	.mainForm .custom-close-button {
		top: -25px;
		right: 15px;
	}

	.report-sublinks {
		display: inline-block;
		vertical-align: top;
		margin-top: 10px;
		width: 100%;
	}
	.stacking-report-table {
		min-width: 670px;
	}
	
}

@media only screen and (max-width: 640px) {
	.sales-bar {
		min-height: 48px;
		padding: 5px 15px;
	}
	.sales-bar h3 {
		font-size: 16px;
		line-height: 28px;
		padding: 5px 0;
	}
	.sales-price {
		font-size: 14px;
		line-height: 28px;
	}
	.sales-detail-btn {
		font-size: 10px;
		line-height: 18px;
		padding: 5px;
	}
	.price-detail {
		padding: 5px 5px 5px 15px;
	}

	.breadcrumb li {
		font-size: 14px;
		line-height: 18px;
	}
	.crops-table-wrapper, .roi-table {
		overflow-x: auto;
		width: 100%;
	}
	.crops-table thead th {
		font-size: 15px;
	}
	.crops-table tbody td {
		font-size: 12px;
		line-height: 20px;
	}

	.report-sublinks li {
		width: 50%;
	}

	.login-page header {
		padding: 10px 0;
	}
	.login-logo {
		position: static;
		display: inline-block;
		vertical-align: top;
		width: 75px;
	}
	.login-page h1 {
		display: inline-block;
		vertical-align: top;
		padding-left: 15px;
		line-height: 59px;
	}
	.login_box {
		max-width: 100%;
		margin: 30px 15px 100px;
	}
}


@media only screen and (max-width: 480px) {
	.box-sm {
		width: 309px;
	}
	.login-box .user-img {
		width: 60px;
		height: 60px;
	}
	.login-box .user-info span {
		font-size: 14px;
		line-height: 18px;
	}
	.notificatoin .dropdown-menu {
		right: -66px;
	}
	#mainMenu li a {
		font-size: 16px;
		padding-right: 15px;
		padding-left: 15px;
	}

	.hexagon {
		padding: 30px 45px;
		height: 335px;
		max-width: 290px;
	}
	.assets-content {
		height: 154px;
		max-width: 258px;
		padding: 20px 30px 10px 40px;
	}
	.expense-wrapper .col-xs-6 {
		width: 100%;
	}
	.sales-bar {
		margin-right: 0;
		padding: 10px 15px;
		-webkit-box-shadow: inset 0px 5px 5px 0px rgba(0, 0, 0, 0.25);
		-moz-box-shadow: inset 0px 5px 5px 0px rgba(0, 0, 0, 0.25);
		box-shadow: inset 0px 5px 5px 0px rgba(0, 0, 0, 0.25);
	}
	.price-detail {
		position: static;
		background: none;
		box-shadow: none;
		padding: 5px;
		text-align: center;
	}
	.sales-bar h3 {
		float: none;
		font-size: 20px;
		text-align: center;
	}
	.sales-price {
		color: #fff;
		float: none;
		display: block;
	}
	.sales-detail-btn {
		background-color: #fff !important;
		float: none;
		font-size: 14px;
		line-height: 20px;
		margin-bottom: 7px;
		padding: 5px 10px;
	}
	.sales-bar.blue .sales-detail-btn {
		color: #0f766e;
	}
	.sales-bar.pink .sales-detail-btn {
		color: #f67983;
	}
	.sales-bar.gray .sales-detail-btn {
		color: #adacac;
	}
	.sales-bar.see-green .sales-detail-btn {
		color: #14b8a6;
	}

	div.dataTables_wrapper div.dataTables_filter input {
		width: 200px;
	}
	.add-new {
		margin-right: 8px;
	}

	.datepicker td, .datepicker th {
		width: 38px;
	}

	.search-filters {
		width: 100%;
	}

	.login-logo {
		display: block;
		text-align: center;
		width: 100%;
	}
	.login-logo img {
		width: 75px;
	}
	.login-page h1 {
		display: block;
		font-size: 24px;
		padding-left: 0;
	}
	.login_box {
		padding-right: 15px;
		padding-left: 15px;
	}
	.login_box h2 {
		font-size: 20px;
	}
	.login_box .remember-me {
		font-size: 12px !important;
	}
	.login_box #remember-me + label:before {
		border-width: 2px;
		width: 15px;
		height: 15px;
		margin-right: 5px;
	}
	.forgot {
		font-size: 12px;
	}

}

@media only screen and (max-width: 380px) {
	.has-checkbox .checkbox,
	.has-checkbox .checkbox-inline,
	.has-radio .radio,
	.has-radio .radio-inline {
		width: 100%;
	}
	
	.report-sublinks li {
		width: 100%;
	}
}




.float-left-not-xs, .float-left-not-sm, .float-left-not-md, .float-left-not-lg {
	float: left;
}
.float-right-not-xs, .float-right-not-sm, .float-right-not-md, .float-right-not-lg {
	float: right;
}

@media (max-width: 767px) {
	.float-left-not-xs, .float-right-not-xs {
		float: none;
	}
	.float-left-xs {
		float: left;
	}
	.float-right-xs {
		float: right;
	}
}

@media (min-width: 768px) and (max-width: 991px) {
	.float-left-not-sm, .float-right-not-sm {
		float: none;
	}
	.float-left-sm {
		float: left;
	}
	.float-right-sm {
		float: right;
	}
}

@media (min-width: 992px) and (max-width: 1199px) {
	.float-left-not-md, .float-right-not-md {
		float: none;
	}
	.float-left-md {
		float: left;
	}
	.float-right-md {
		float: right;
	}
}

@media (min-width: 1200px) {
	.float-left-not-lg, .float-right-not-lg {
		float: none;
	}
	.float-left-lg {
		float: left;
	}
	.float-right-lg {
		float: right;
	}
}

.text-left-not-xs, .text-left-not-sm, .text-left-not-md, .text-left-not-lg {
	text-align: left;
}
.text-center-not-xs, .text-center-not-sm, .text-center-not-md, .text-center-not-lg {
	text-align: center;
}
.text-right-not-xs, .text-right-not-sm, .text-right-not-md, .text-right-not-lg {
	text-align: right;
}
.text-justify-not-xs, .text-justify-not-sm, .text-justify-not-md, .text-justify-not-lg {
	text-align: justify;
}

@media (max-width: 767px) {
	.text-left-not-xs, .text-center-not-xs, .text-right-not-xs, .text-justify-not-xs {
		text-align: inherit;
	}
	.text-left-xs {
		text-align: left;
	}
	.text-center-xs {
		text-align: center;
	}
	.text-right-xs {
		text-align: right;
	}
	.text-justify-xs {
		text-align: justify;
	}
}

@media (min-width: 768px) and (max-width: 991px) {
	.text-left-not-sm, .text-center-not-sm, .text-right-not-sm, .text-justify-not-sm {
		text-align: inherit;
	}
	.text-left-sm {
		text-align: left;
	}
	.text-center-sm {
		text-align: center;
	}
	.text-right-sm {
		text-align: right;
	}
	.text-justify-sm {
		text-align: justify;
	}
}

@media (min-width: 992px) and (max-width: 1199px) {
	.text-left-not-md, .text-center-not-md, .text-right-not-md, .text-justify-not-md {
		text-align: inherit;
	}
	.text-left-md {
		text-align: left;
	}
	.text-center-md {
		text-align: center;
	}
	.text-right-md {
		text-align: right;
	}
	.text-justify-md {
		text-align: justify;
	}
}

@media (min-width: 1200px) {
	.text-left-not-lg, .text-center-not-lg, .text-right-not-lg, .text-justify-not-lg {
		text-align: inherit;
	}
	.text-left-lg {
		text-align: left;
	}
	.text-center-lg {
		text-align: center;
	}
	.text-right-lg {
		text-align: right;
	}
	.text-justify-lg {
		text-align: justify;
	}
}